<?php
namespace Claromentis\Mailgun\Model;

$GLOBALS["__65da1b1ec2d665" . "3e8a0ab7848e5362" . "15"] = (@$GLOBALS["__65da1b1ec2d6653e" . "8a0ab7848e536215"] ?: array()) + array("_f589476007fa133f457c3ef" . "29ddfa566" => base64_decode("VG" . "8="), "_618a4aeb9fecc4592a4521f34876" . "fa29" => base64_decode("ZnJvbQ=" . "="), "_1d6c68a0262" . "e8fa0bed1215" . "b7224a98e" => base64_decode("cmVj" . "aXBp" . "ZW50"), "_f39f5346e313e4dd1ac3" . "a7bd8032beda" => base64_decode("c3Vic3RyX2NvbXBhcm" . "U="), "_9c050c786fc87170cbb84fc6" . "a8b13cb6" => base64_decode("YXR0YW" . "NobWVu" . "dC0="), "_6e1c717cf3cbf1af9" . "82ed74d4336b7f1" => base64_decode("Ym9keS1od" . "G1s"), "_956cd32298a229f9768f1096" . "f077ace3" => base64_decode("Ym9keS1" . "wbGFpbg" . "=="), "_44e986c04f41a08b56a383c7b3a88" . "ee2" => base64_decode("c2VuZG" . "Vy"), "_8c575917c" . "baedf1e7ef" . "ae84939402" . "bff" => base64_decode("U3Vi" . "amVj" . "dA=="), "_a1e707d02a236d" . "adebd15a45e65eb" . "db6" => base64_decode("YXR0YWNobWVu" . "dC1jb3VudA=="), "_d706c160e45bf7434fff82a59" . "76f0e19" => base64_decode("YXJyYXl" . "fa2V5cw" . "=="), "_97ea09a7faf27c52c6eff69773d" . "f1d8a" => base64_decode("dGltZXN0YW" . "1w"));
use Claromentis\Core\Mail\Receive\Contract\MailAttachment;
use Claromentis\Core\Mail\Receive\Contract\MailMessage;
use Claromentis\Core\Util\ArrayUtil;




class MailgunMessage implements MailMessage
{
    protected $message_data;
    protected $attachments_data;
    protected $attachments;
    
    
    
    
    
    public function __construct($_a3d82c5df38e194c9c73e3ccb4223bbc = [], $_4e7ab34a53ffb13eb0838003f33034d4 = [])
    {
        $this->message_data = $_a3d82c5df38e194c9c73e3ccb4223bbc;
        $this->attachments = $_4e7ab34a53ffb13eb0838003f33034d4;
        foreach ($GLOBALS["__65da1b1ec2d6653e8a0a" . "b7848e536215"]["_d706c160e45bf7434f" . "ff82a5976f0e19"]($this->message_data) as $key) {
            if ($key !== $GLOBALS["__65da1b1ec2d6653e8a0ab7848e" . "536215"]["_a1e707d02a236dad" . "ebd15a45e65ebdb6"] && $GLOBALS["__65da1b1ec2d6653e8a0ab7848e5362" . "15"]["_f39f5346e313e4dd1ac3a7bd8" . "032beda"]($key, $GLOBALS["__65da1b1ec2d6653e8a0ab7848e53621" . "5"]["_9c050c786fc87170cbb84fc6a8b13c" . "b6"], 0, 11) === 0) {
                $this->attachments[] = new MailgunAttachmentString($key, $this->message_data[$key]);
            }
        }
    }
    
    
    
    
    public function GetRecipientAddress() : string
    {
        return ArrayUtil::getScalarValue($this->message_data, $GLOBALS["__65da1b1ec2d" . "6653e8a0ab784" . "8e536215"]["_1d6c68a0262e8fa0bed1215" . "b7224a98e"]);
    }
    
    
    
    
    
    
    public function GetFrom() : string
    {
        return ArrayUtil::getScalarValue($this->message_data[$GLOBALS["__65da1b1ec2d6653e8a0ab7848e536" . "215"]["_618a4aeb9fec" . "c4592a4521f34" . "876fa29"]], null);
    }
    
    
    
    
    
    
    
    public function GetTo() : string
    {
        return ArrayUtil::getScalarValue($this->message_data[$GLOBALS["__65da1b1ec2d6653e8a0ab7848e53" . "6215"]["_f589476007fa133f457c3ef29ddf" . "a566"]], null);
    }
    
    
    
    
    public function GetSubject() : string
    {
        return ArrayUtil::getScalarValue($this->message_data, $GLOBALS["__65da1b1" . "ec2d6653e" . "8a0ab7848" . "e536215"]["_8c575917cbaedf" . "1e7efae84939402" . "bff"]);
    }
    
    
    
    
    public function GetBodyHtml() : string
    {
        return ArrayUtil::getScalarValue($this->message_data, $GLOBALS["__65da1b1e" . "c2d6653e8a" . "0ab7848e53" . "6215"]["_6e1c717cf3c" . "bf1af982ed74" . "d4336b7f1"]);
    }
    
    
    
    
    public function GetBodyText() : string
    {
        return ArrayUtil::getScalarValue($this->message_data, $GLOBALS["__65da1b1ec2d665" . "3e8a0ab7848e5362" . "15"]["_956cd32298a" . "229f9768f109" . "6f077ace3"]);
    }
    
    
    
    
    public function GetDate() : \Date
    {
        $_67a0d624aebcceb0abd5ce56a53ff06f = new \Date(ArrayUtil::getScalarValue($this->message_data, $GLOBALS["__65da1b1ec2d" . "6653e8a0ab784" . "8e536215"]["_97ea09a7faf27c52c6eff" . "69773df1d8a"]));
        return $_67a0d624aebcceb0abd5ce56a53ff06f;
    }
    
    
    
    
    public function GetSenderAddress() : string
    {
        return ArrayUtil::getScalarValue($this->message_data, $GLOBALS["__65da1b1ec2d6653e8a0ab7" . "848e536215"]["_44e986c04f41a08b56a383c7b" . "3a88ee2"]);
    }
    public function GetAttachments()
    {
        return $this->attachments;
    }
}